<template>
  <button :class="classes" :disabled="isDisabled">
    <slot />
  </button>
</template>

<script>
export default {
  name: 'MhButton',

  props: {
    type: {
      type: String,
      default: ''
    },

    isDisabled: {
      type: Boolean,
      default: false
    }
  },

  computed: {
    classes() {
      const BASE_CLASS = 'mh-button'

      return [BASE_CLASS, this.type && `${BASE_CLASS}_${this.type}`]
    }
  }
}
</script>

<style lang="scss" scoped>
$background: $primary;

.mh-button {
  background: $background;
  color: white;
  font-weight: 800;
  border-radius: 13px;
  border: none;
  padding: 10px 15px;
  cursor: pointer;
  line-height: 1;
  transition: background 0.3s ease;

  &:hover {
    background: lighten($background, 5%);
  }

  &:active {
    background: darken($background, 5%);
  }

  &_bordered {
    background: white;
    color: $primary;
    border: 1px solid $primary;

    &:active, &:hover {
      color: white
    }
  }

  &_squared {
    border-radius: 0;
  }

  &:disabled {
    background: lighten($background, 5%);
    cursor: not-allowed;
  }
}
</style>
